/**
  ******************************************************************************
  * @file demo_beeper.h
  * @brief This file contains functions prototypes for the BEEPER demo.
  * @author STMicroelectronics - MCD Application Team
  * @version V1.1.0
  * @date    09/14/2009
  ******************************************************************************
  *
  */

// Define to prevent recursive inclusion -------------------------------------
#ifndef __DEMO_BEEPER_H
#define __DEMO_BEEPER_H

// Includes ------------------------------------------------------------------
#include "stm8l10x.h"
#include "functions.h"
#include "mono_lcd.h"
#include "buzzer.h"

// Exported types ------------------------------------------------------------
// Exported constants --------------------------------------------------------
// Exported macro ------------------------------------------------------------
// Exported variables --------------------------------------------------------

// Exported functions --------------------------------------------------------
void BEEPERDEMO_Reset(void);
void BEEPERDEMO_Exec(void);
void SelectBeep(uint8_t nb);
void BEEP_AutoLSICalibration(void);

#endif /* __DEMO_BEEPER_H */

