/**
  ******************************************************************************
  * @file demo_help.h
  * @brief This file contains functions prototypes for the HELP demo.
  * @author STMicroelectronics - MCD Application Team
  * @version V1.1.0
  * @date    09/14/2009
  ******************************************************************************
  *
  */

// Define to prevent recursive inclusion -------------------------------------
#ifndef __DEMO_HELP_H
#define __DEMO_HELP_H

// Includes ------------------------------------------------------------------
#include "stm8l10x.h"
#include "mono_lcd.h"
#include "functions.h"

// Exported types ------------------------------------------------------------

// Exported constants --------------------------------------------------------

// Following delay is based on 5ms time base 
// Define how long each each help message is displayed - Delay = 2s 
#define HELP_PERIOD ((uint16_t)400)

#define HELP_LINE1_TEXT (" LEFT or RIGHT\nto scroll menu ")
#define HELP_LINE2_TEXT (" Press SEL to \nenter sub-menu ")
#define HELP_LINE3_TEXT ("   Move UP to \n exit sub-menu ")

// Exported macro ------------------------------------------------------------
// Exported variables --------------------------------------------------------

// Exported functions --------------------------------------------------------
void HELP_Exec(void);

#endif /* __DEMO_HELP_H */

