/**
  ******************************************************************************
  * @file stm8l10x_irtim.h
  * @brief This file contains all functions prototype and macros for the IRTIM peripheral.
  * @author STMicroelectronics - MCD Application Team
  * @version V1.1.0
  * @date    09/14/2009
  ******************************************************************************
  *
  */

// Define to prevent recursive inclusion -------------------------------------
#ifndef __STM8L10x_IRTIM_H
#define __STM8L10x_IRTIM_H

// Includes ------------------------------------------------------------------
#include "stm8l10x.h"

// Exported variables ------------------------------------------------------- 
// Exported types ------------------------------------------------------------
// Exported constants --------------------------------------------------------
// Exported macros -----------------------------------------------------------
// Private macros ------------------------------------------------------------
// Exported functions --------------------------------------------------------
 // @addtogroup IRTIM_Exported_Functions

void IRTIM_DeInit(void);
void IRTIM_Cmd(FunctionalState NewState);
FunctionalState IRTIM_GetStatus(void);
void IRTIM_HighSinkODCmd(FunctionalState Newstate);
FunctionalState IRTIM_GetHighSinkODStatus(void);


#endif /* __STM8L10x_IRTIM_H */

