/**
  ******************************************************************************
  * @file demo_microsd.h
  * @brief This file contains functions prototypes for the MICROSD demo.
  * @author STMicroelectronics - MCD Application Team
  * @version V1.1.0
  * @date    09/14/2009
  ******************************************************************************
  *
  */

// Define to prevent recursive inclusion -------------------------------------
#ifndef __DEMO_MICROSD_H
#define __DEMO_MICROSD_H

// Includes ------------------------------------------------------------------
#include "stm8l10x.h"
#include "functions.h"
#include "mono_lcd.h"
#include "microsd.h"
#include "buzzer.h"

// Exported types ------------------------------------------------------------
// Exported constants --------------------------------------------------------
// Exported macro ------------------------------------------------------------
// Exported variables --------------------------------------------------------

// Exported functions --------------------------------------------------------
void MICROSDDEMO_Reset(void);
void MICROSDDEMO_Exec(void);

#endif /* __DEMO_MICROSD_H */

