/**
  ********************************************************************************
  * @file main.h
  * @brief This file provides the main function prototype.
  * @author STMicroelectronics - MCD Application Team
  * @version V1.1.0
  * @date    09/14/2009
  ******************************************************************************
  *
  */

// Define to prevent recursive inclusion ------------------------------------ 
#ifndef __MAIN_H
#define __MAIN_H

// Includes ------------------------------------------------------------------
#include "stm8l10x.h"
#include "joystick_button.h"
#include "functions.h"
#include "mono_lcd.h"
#include "menu.h"
#include "demo_help.h"
#include "buzzer.h"

// Exported types ------------------------------------------------------------
// Exported constants --------------------------------------------------------
#define WELCOME_DELAY        400 /* Define how long the welcome text is displayed - Delay = 2.0s */

// Exported macro ------------------------------------------------------------
// Exported variables --------------------------------------------------------
// Exported functions ------------------------------------------------------- 

#endif /* __MAIN_H */



